=head1 NAME

iPE::Model::Emission::WMM - Weight Matrix Model.

=head1 DESCRIPTION

This model is treated as a 0th order WAM, and inherits almost all the code from the WAM.

=head1 FUNCTIONS

=cut

package iPE::Model::Emission::WMM;
use iPE;
use base("iPE::Model::Emission::WAM");
use strict;

sub init {
    my ($this) = shift;
    #XXX this next line deprecated.  remove when moving to settings format
    $this->{hasSettings_} = 1;
    $this->settings->{order} = 0;
    $this->SUPER::init();
}

sub getZoeHeaderEnd { "" }

=head1 SEE ALSO

L<iPE::Model::Emission::WAM> L<iPE::Model::Emission> 

=head1 AUTHOR

Bob Zimmermann (rpz@cse.wustl.edu)

=cut

1;

